Subject: SPI and USB on MPC8272

From: Mike Rapoport <[email-masked]>
Date: Tue, 29 Nov 2005 08:42:28 +0200

Hi list,
I have a custom board based on MPC8272. I have a problem enabling the 
SPI and USB interfaces of the MPC8272 at the same time.
I'm running linux 2.6.12.3 with "custom" USB host driver. I tried to add 
the SPI driver present in denx linuxppc_2.4_devel git tree. When I 
enable the SPI driver first the USB host does not pass USB devices 
enumeration. When I enable the SPI driver after the USB, it hangs on 
while writing to CPCR.
Each driver works when used separately.
Does anybody have a clue why could it happen?
<http://source.denx.net/cgi-bin/gitweb.cgi?p=linuxppc_2_4_devel.git;a=summary> 

-- 
Sincerely yours,
Mike Rapoport